package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag103R;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT103REMITCreator;

public class Tag77BCreator extends AbsTagCreate {
    private MT103REMITCreator mt103RemitCreator;

    public Tag77BCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt103RemitCreator = (MT103REMITCreator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag77BValue = mt103RemitCreator.getRegulatoryReporting();
        mt103RemitCreator.set("77B", tag77BValue);
    }
}
